Gracias Gracias:  0
Me Gusta Me Gusta:  0
No me Gusta No me Gusta:  0
Página 1 de 5 123 ... ÚltimoÚltimo
Mostrando resultados del 1 al 10 de 43

Tema: Instalacion Apt4rpm

  1. #1
    Fox Invitado

    Instalacion Apt4rpm

    Buenas, llevo como 1 hora intentando instalar el apt para SuSE pero me es imposible :S.

    Me dice que baje el apt y apt-libs, lo hago y primero he de instalar el apt-libs, bueno pues me pide libpopt.so.0, googleando vi que habia que bajar un paquete llamado shlibs5, y luego dice:

    4. Created a symbolic link "/lib/libpopt.so.0" to /usr/i486-linux-libc5/lib/libpopt.so.0.0.0

    El archivo libpopt.so.0.0.0 existe ya, asi que cree el enlace a /lib/libpopt.so.0 pero aun asi me sigue pidiendo el archivo ese cuando voy a instalar el apt-libs por el gestor de rpms de YaST y me doy por vencido porque no doy para mas ya,jeje.

    En otra web vi que hace falta lua para mi version, pero eso no lo veo...

    Bueno, Gracias.

  2. #2
    Fecha de Ingreso
    27-julio-2004
    Ubicación
    En un lugar de la mancha ...
    Mensajes
    2.348
    Post Thanks / Like
    Poder de Credibilidad
    18
    Hola Fox

    En esta página tienes todos los paquetes que puedas necesitar en sus últimas versiones

    Yo concretamente tengo instalados los siguientes:

    apt-0.5.15cnc6-0.suse091.rb.5
    apt-libs-0.5.15cnc6-0.suse091.rb.5
    lua-5.0.2-rb.suse091.1

    Espero que te sirva

    Un saludo
    La carrera no siempre la ganan los más veloces, sino aquellos que siguen corriendo
    "No importa cuanto sepas, sino las ganas que tengas de seguir aprendiendo"

  3. #3
    Fox Invitado
    Gracias Chuzo no vi q estaba el lua ahi tambien, pero mi problema reside que para instalar lo primero de los 3 paquetes, es decir, apt-libs, hago doble click en el rpm y le doy a instalar con YaST y me sale un cartel diciendo que me hace falta el "libpopt.so.0" para instalar el apt-libs.

    Cosa que "supuestamente" se instalo como explique en el primer post, de ahi mi post aqui :P

    Gracias de nuevo

  4. #4
    Fecha de Ingreso
    27-julio-2004
    Ubicación
    En un lugar de la mancha ...
    Mensajes
    2.348
    Post Thanks / Like
    Poder de Credibilidad
    18
    Comprueba que tienes instalado el paquete popt, yo tengo exactamente la versión popt-1.7-176.3, ya que parece que es el que proporciona ese fichero

    Aquí te dejo un enlace a esa versión por si no lo tuvieras:

    popt-1.7-176.3.i586.rpm

    Un saludo
    La carrera no siempre la ganan los más veloces, sino aquellos que siguen corriendo
    "No importa cuanto sepas, sino las ganas que tengas de seguir aprendiendo"

  5. #5
    Fox Invitado
    Ya funciona !! jeje, segun dice el manual lo del source.list, pero no lo entiendo muy bien, yo instale todo, ahora hare el update y ya esta, o tengo q cambiar algo del source.list??

    Por fin va bien la SuSE solo me falta arreglar los puertos usb.

    Gracias.

  6. #6
    Fecha de Ingreso
    27-julio-2004
    Ubicación
    En un lugar de la mancha ...
    Mensajes
    2.348
    Post Thanks / Like
    Poder de Credibilidad
    18
    Pues a ver ... el fichero sources.list es el principal para la aplicación, ya que es donde defines qué repositorios quieres usar para buscar los paquetes

    Si ejecutas apt-get update actualizas la información de los paquetes de las diferentes fuentes que tengas en el fichero sources

    Luego puedes hacer apt-get upgrade y te buscaría todos los paquetes que tienes instalados y para los que hay alguna actualización disponible, pudiendo bajarlo e instalarlo

    Si lo que quieres es instalar sólo un paquete harías apt-get install paquete.rpm .. eso ya es ir "jugando" un poco con los diferentes comandos, puedes acceder a la ayuda con man apt y te viene todo

    Un saludo
    La carrera no siempre la ganan los más veloces, sino aquellos que siguen corriendo
    "No importa cuanto sepas, sino las ganas que tengas de seguir aprendiendo"

  7. #7
    Fox Invitado
    Ya lo voy pillando Chuzo, si hago apt-get update, estoy actualizando la lista de programas de los sitios q tengo en sources.list, correcto?

    Donde podria pillar un sources.list mas completo?, tendria que copiarlo y sustituirlo por el viejo,no? porque no se editarlo , pero si copiarlo jeje

    Voy a empezar a leerme ya los dos manuales del suse

  8. #8
    Fecha de Ingreso
    27-julio-2004
    Ubicación
    En un lugar de la mancha ...
    Mensajes
    2.348
    Post Thanks / Like
    Poder de Credibilidad
    18
    Cita Iniciado por Fox
    Ya lo voy pillando Chuzo, si hago apt-get update, estoy actualizando la lista de programas de los sitios q tengo en sources.list, correcto?
    Pues exactamente eso

    Lo del source.list pues ya depende lo que quieras ... yo puedo dejar aquí el mío si quieres, pero eso ya puedes poner más o menos cosas según te interese

    El fichero lo puedes editar con cualquier editor que uses ... pero siempre como root, ya que como usuario no tienes permiso. Yo por ejemplo uso el kate. Para arrancar el kate como root en Ejecutar comando escribes: kdesu kate, te pedirá la password de root y te abrirá el kate como root. Ya sólo abres el fichero /etc/sources.list y lo puedes editar como te interese

    En este post del foro de SuSE tienes también un ejemplo de sources.list para el SuSE 9.1, está en la última respuesta de ese hilo. Aunque hay muchas cosas fíjate que la mayoria de las líneas están comentadas (las que comienzan por #), de forma que puedes descomentar alguna línea si te interesa añadir también esa fuente ... ya es ir probando un poco

    Un saludo
    La carrera no siempre la ganan los más veloces, sino aquellos que siguen corriendo
    "No importa cuanto sepas, sino las ganas que tengas de seguir aprendiendo"

  9. #9
    Fox Invitado
    Muchas gracias, lo de kdesu es lo que andaba buscando con ansias , yo quiero pues un sources donde este para bajar lo tipico para un novato jeje. ya q lo de tu link no entiendo que son esas cosas

  10. #10
    Fecha de Ingreso
    27-julio-2004
    Ubicación
    En un lugar de la mancha ...
    Mensajes
    2.348
    Post Thanks / Like
    Poder de Credibilidad
    18
    Me parece que al instalar la aplicación ya te crea un fichero sources.list muy básico. Mira si lo tienes y si está copias aquí el contenido, y te digo un poco como va y como puedes añadirle fácilmente lo que te interese

    Para lo de editar ficheros como root puedes mirarte también esto, es un script que te añade al menú contextual (el que aparece al usar el botón derecho) la opción Editar como root, a ver qué te parece

    Un saludo
    La carrera no siempre la ganan los más veloces, sino aquellos que siguen corriendo
    "No importa cuanto sepas, sino las ganas que tengas de seguir aprendiendo"

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Marcadores

Normas de Publicación

  • No puedes crear nuevos temas
  • No puedes responder mensajes
  • No puedes subir archivos adjuntos
  • No puedes editar tus mensajes
  •